<html>
<head>
<title>OgreOSXGLSupport.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_5bc5f2f46c6364f2594540d45df3d051.html">GL</a>      </li>
      <li class="navelem"><a class="el" href="dir_f7b8a29f58b064e3a63f570f2fc89729.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_9005b09f6816560d7c0bc7177f4b3a7b.html">OSX</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreOSXGLSupport.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreOSXGLSupport_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef OGRE_OSXGLSupport_H</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_OSXGLSupport_H</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLSupport_8h.html">OgreGLSupport.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre
<a name="l00035"></a>00035 {
<a name="l00036"></a>00036 
<a name="l00037"></a><a class="code" href="classOgre_1_1OSXGLSupport.html">00037</a> <span class="keyword">class </span><a class="code" href="classOgre_1_1OSXGLSupport.html">OSXGLSupport</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1GLSupport.html">GLSupport</a>
<a name="l00038"></a>00038 {
<a name="l00039"></a>00039 <span class="keyword">public</span>:
<a name="l00040"></a>00040     <a class="code" href="classOgre_1_1OSXGLSupport.html#a8aac282de0113cd1822e03e3658ee137">OSXGLSupport</a>();
<a name="l00041"></a>00041     <a class="code" href="classOgre_1_1OSXGLSupport.html#acdc591bdaccedf924d6518552435dd34">~OSXGLSupport</a>();
<a name="l00042"></a>00042 
<a name="l00048"></a>00048     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXGLSupport.html#a0d770889fa7d5f5e8c1177ce00a830fd" title="Add any special config values to the system.">addConfig</a>( <span class="keywordtype">void</span> );
<a name="l00049"></a>00049 
<a name="l00053"></a>00053     <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1OSXGLSupport.html#a7804000ccbaa1e4d678cb1c6bf1a4523" title="Make sure all the extra options are valid.">validateConfig</a>( <span class="keywordtype">void</span> );
<a name="l00054"></a>00054 
<a name="l00056"></a>00056     <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* <a class="code" href="classOgre_1_1OSXGLSupport.html#ab3d4976d00f63840712802b55967da0e">createWindow</a>( <span class="keywordtype">bool</span> autoCreateWindow, <a class="code" href="classOgre_1_1GLRenderSystem.html" title="Implementation of GL as a rendering system.">GLRenderSystem</a>* renderSystem, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; windowTitle );
<a name="l00057"></a>00057     
<a name="l00059"></a>00059     <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* <a class="code" href="classOgre_1_1OSXGLSupport.html#a52f3e85313c4bb7e076fa9e5b0454389">newWindow</a>( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height, 
<a name="l00060"></a>00060         <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams = 0 );
<a name="l00061"></a>00061     
<a name="l00065"></a>00065     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXGLSupport.html#a31e4598a2739964b7a423e6acf861df5" title="Start anything special.">start</a>();
<a name="l00066"></a>00066 
<a name="l00070"></a>00070     <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXGLSupport.html#a64cb58d2e2bbd85b6a05fa62e085a8b0" title="Stop anything special.">stop</a>();
<a name="l00071"></a>00071 
<a name="l00075"></a>00075     <span class="keywordtype">void</span>* <a class="code" href="classOgre_1_1OSXGLSupport.html#a8805e5d5018bd33674c3755f98468528" title="Get the address of a function.">getProcAddress</a>( <span class="keyword">const</span> <span class="keywordtype">char</span> *name );
<a name="l00076"></a>00076     <span class="keywordtype">void</span>* <a class="code" href="classOgre_1_1OSXGLSupport.html#a8805e5d5018bd33674c3755f98468528" title="Get the address of a function.">getProcAddress</a>( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; procname );
<a name="l00077"></a>00077 
<a name="l00078"></a>00078     <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXGLSupport.html#a208ec75ef634c6cfbdf2a796b91e3923">supportsPBuffers</a>();
<a name="l00079"></a>00079     <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1GLPBuffer.html" title="An off-screen rendering context.">GLPBuffer</a>* <a class="code" href="classOgre_1_1OSXGLSupport.html#a5e40ca5651332c06551f1bcd1036f099">createPBuffer</a>( <a class="code" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a> format, <span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height );
<a name="l00080"></a>00080     
<a name="l00081"></a>00081     <span class="comment">// Core Foundation Array callback function for sorting, must be static for the function ptr</span>
<a name="l00082"></a>00082     <span class="keyword">static</span> CFComparisonResult <a class="code" href="classOgre_1_1OSXGLSupport.html#a6d610ae4b610a8b92a7630ecfd2aff48">_compareModes</a> (<span class="keyword">const</span> <span class="keywordtype">void</span> *val1, <span class="keyword">const</span> <span class="keywordtype">void</span> *val2, <span class="keywordtype">void</span> *context);
<a name="l00083"></a>00083     <span class="comment">// Core Fondation Dictionary helper functions, also static for ease of use in above static</span>
<a name="l00084"></a>00084     <span class="keyword">static</span> Boolean <a class="code" href="classOgre_1_1OSXGLSupport.html#afaa39521feeac13e70bf131c4e6bc2e9">_getDictionaryBoolean</a>(CFDictionaryRef dict, <span class="keyword">const</span> <span class="keywordtype">void</span>* key);
<a name="l00085"></a>00085     <span class="keyword">static</span> <span class="keywordtype">long</span> <a class="code" href="classOgre_1_1OSXGLSupport.html#afb90da32f46c4fd6fe5e761a0ba4ba85">_getDictionaryLong</a>(CFDictionaryRef dict, <span class="keyword">const</span> <span class="keywordtype">void</span>* key);
<a name="l00086"></a>00086     
<a name="l00087"></a>00087 <span class="keyword">protected</span>:
<a name="l00088"></a><a class="code" href="classOgre_1_1OSXGLSupport.html#a41f990c1ebfcbb3ccaf7ef69f2d81114">00088</a>     <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1OSXGLSupport.html#a41f990c1ebfcbb3ccaf7ef69f2d81114">mAPI</a>;
<a name="l00089"></a><a class="code" href="classOgre_1_1OSXGLSupport.html#a2269b4dc6802020de8276c610318f88d">00089</a>     <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1OSXGLSupport.html#a2269b4dc6802020de8276c610318f88d">mContextType</a>;
<a name="l00090"></a>00090     
<a name="l00091"></a>00091 }; <span class="comment">// class OSXGLSupport</span>
<a name="l00092"></a>00092 
<a name="l00093"></a>00093 } <span class="comment">// namespace Ogre</span>
<a name="l00094"></a>00094 
<a name="l00095"></a>00095 <span class="preprocessor">#endif // OGRE_OSXGLSupport_H</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
